VOTEQUORUM_FD_GET(3)

NAME
votequorum_fd_get - Dispatches callbacks from the votequorum service

SYNOPSIS
#include <corosync/votequorum.h>

int votequorum_fd_get(votequorum_handle_t handle, int *fd);

DESCRIPTION
The votequorum_fd_get function is used to retrieve the file descriptor that may be used with the poll system call to determine when votequorum_dispatch(3) won't block. The handle argument may not be used directly with poll because it is not the file descriptor, but instead an internal identifier used by the votequorum library.

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

ERRORS

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task

SEE ALSO
votequorum_overview(3), votequorum_initialize(3), votequorum_finalize(3), votequorum_getinfo(3), votequorum_trackstart(3), votequorum_trackstop(3), votequorum_dispatch(3), votequorum_context_set(3), votequorum_context_get(3), votequorum_setexpected(3), votequorum_setvotes(3)